# Constant Field Values

## Contents

- org.eclipse.*

## org.eclipse.*

org.eclipse.gef.mvc.fx.MvcFxBundle
Modifier and Type
Constant Field
Value
`public static final String`
`PLUGIN_ID`
`"org.eclipse.gef.mvc.fx"`

org.eclipse.gef.mvc.fx.behaviors.FocusBehavior
Modifier and Type
Constant Field
Value
`public static final String`
`FOCUS_FEEDBACK_PART_FACTORY`
`"FOCUS_FEEDBACK_PART_FACTORY"`
`public static final String`
`FOCUSED_STYLE`
`"-fx-background-insets: 0; -fx-padding: 0; -fx-background-color: rgba(0,0,0,0); -fx-border-color: #8ec0fc; -fx-border-width: 2;"`
`public static final String`
`UNFOCUSED_STYLE`
`"-fx-background-insets: 0; -fx-padding: 0; -fx-background-color: rgba(0,0,0,0);"`
org.eclipse.gef.mvc.fx.behaviors.HoverBehavior
Modifier and Type
Constant Field
Value
`public static final String`
`HOVER_FEEDBACK_PART_FACTORY`
`"HOVER_FEEDBACK_PART_FACTORY"`
`public static final String`
`HOVER_HANDLE_PART_FACTORY`
`"HOVER_HANDLE_PART_FACTORY"`
org.eclipse.gef.mvc.fx.behaviors.HoverIntentBehavior
Modifier and Type
Constant Field
Value
`public static final String`
`HOVER_INTENT_FEEDBACK_PART_FACTORY`
`"HOVER_INTENT_FEEDBACK_PART_FACTORY"`
`public static final String`
`HOVER_INTENT_HANDLE_PART_FACTORY`
`"HOVER_INTENT_HANDLE_PART_FACTORY"`
org.eclipse.gef.mvc.fx.behaviors.SelectionBehavior
Modifier and Type
Constant Field
Value
`public static final String`
`SELECTION_FEEDBACK_PART_FACTORY`
`"SELECTION_FEEDBACK_PART_FACTORY"`
`public static final String`
`SELECTION_HANDLE_PART_FACTORY`
`"SELECTION_HANDLE_PART_FACTORY"`
org.eclipse.gef.mvc.fx.behaviors.SnappingBehavior
Modifier and Type
Constant Field
Value
`public static final String`
`SNAPPING_FEEDBACK_PART_FACTORY`
`"snappingFeedbackPartFactory"`

org.eclipse.gef.mvc.fx.domain.IDomain
Modifier and Type
Constant Field
Value
`public static final String`
`CONTENT_VIEWER_ROLE`
`"contentViewer"`

org.eclipse.gef.mvc.fx.models.FocusModel
Modifier and Type
Constant Field
Value
`public static final String`
`FOCUS_PROPERTY`
`"focus"`
org.eclipse.gef.mvc.fx.models.GridModel
Modifier and Type
Constant Field
Value
`public static final double`
`GRID_CELL_HEIGHT_DEFAULT`
`10.0`
`public static final String`
`GRID_CELL_HEIGHT_PROPERTY`
`"gridCellHeight"`
`public static final double`
`GRID_CELL_WIDTH_DEFAULT`
`10.0`
`public static final String`
`GRID_CELL_WIDTH_PROPERTY`
`"gridCellWidth"`
`public static final boolean`
`SHOW_GRID_DEFAULT`
`true`
`public static final String`
`SHOW_GRID_PROPERTY`
`"showGrid"`
`public static final boolean`
`ZOOM_GRID_DEFAULT`
`true`
`public static final String`
`ZOOM_GRID_PROPERTY`
`"zoomGrid"`
org.eclipse.gef.mvc.fx.models.HoverModel
Modifier and Type
Constant Field
Value
`public static final String`
`HOVER_INTENT_PROPERTY`
`"hoverIntent"`
`public static final String`
`HOVER_PROPERTY`
`"hover"`
org.eclipse.gef.mvc.fx.models.SelectionModel
Modifier and Type
Constant Field
Value
`public static final String`
`SELECTION_PROPERTY`
`"selection"`
org.eclipse.gef.mvc.fx.models.SnappingModel
Modifier and Type
Constant Field
Value
`public static final String`
`SNAP_TO_STRATEGIES_PROPERTY`
`"snapToStrategies"`
`public static final String`
`SNAPPING_LOCATIONS_PROPERTY`
`"snappingLocations"`

org.eclipse.gef.mvc.fx.operations.ChangeContentsOperation
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_LABEL`
`"Change Contents"`
org.eclipse.gef.mvc.fx.operations.ChangeFocusOperation
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_LABEL`
`"Change Focus"`
org.eclipse.gef.mvc.fx.operations.ChangeSelectionOperation
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_LABEL`
`"Change selection"`
org.eclipse.gef.mvc.fx.operations.DeselectOperation
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_LABEL`
`"Deselect"`
org.eclipse.gef.mvc.fx.operations.SelectOperation
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_LABEL`
`"Select"`

org.eclipse.gef.mvc.fx.parts.CircleSegmentHandlePart
Modifier and Type
Constant Field
Value
`protected static final double`
`DEFAULT_SIZE`
`5.0`
org.eclipse.gef.mvc.fx.parts.DefaultFocusFeedbackPartFactory
Modifier and Type
Constant Field
Value
`public static final String`
`FOCUS_FEEDBACK_COLOR_PROVIDER`
`"FOCUS_FEEDBACK_COLOR_PROVIDER"`
`public static final String`
`FOCUS_FEEDBACK_GEOMETRY_PROVIDER`
`"FOCUS_FEEDBACK_GEOMETRY_PROVIDER"`
org.eclipse.gef.mvc.fx.parts.DefaultHoverFeedbackPartFactory
Modifier and Type
Constant Field
Value
`public static final String`
`HOVER_FEEDBACK_COLOR_PROVIDER`
`"HOVER_FEEDBACK_COLOR_PROVIDER"`
`public static final String`
`HOVER_FEEDBACK_GEOMETRY_PROVIDER`
`"HOVER_FEEDBACK_GEOMETRY_PROVIDER"`
org.eclipse.gef.mvc.fx.parts.DefaultHoverIntentHandlePartFactory
Modifier and Type
Constant Field
Value
`public static final String`
`HOVER_INTENT_HANDLES_GEOMETRY_PROVIDER`
`"HOVER_INTENT_HANDLES_GEOMETRY_PROVIDER"`
org.eclipse.gef.mvc.fx.parts.DefaultSelectionFeedbackPartFactory
Modifier and Type
Constant Field
Value
`public static final String`
`PRIMARY_SELECTION_FEEDBACK_COLOR_PROVIDER`
`"PRIMARY_SELECTION_FEEDBACK_COLOR_PROVIDER"`
`public static final String`
`SECONDARY_SELECTION_FEEDBACK_COLOR_PROVIDER`
`"SECONDARY_SELECTION_FEEDBACK_COLOR_PROVIDER"`
`public static final String`
`SELECTION_FEEDBACK_GEOMETRY_PROVIDER`
`"SELECTION_FEEDBACK_GEOMETRY_PROVIDER"`
`public static final String`
`SELECTION_LINK_FEEDBACK_GEOMETRY_PROVIDER`
`"SELECTION_LINK_FEEDBACK_GEOMETRY_PROVIDER"`
org.eclipse.gef.mvc.fx.parts.DefaultSelectionHandlePartFactory
Modifier and Type
Constant Field
Value
`protected static final double`
`BENDPOINT_CREATE_HANDLE_MINIMUM_SEGMENT_LENGTH`
`30.0`
`public static final String`
`CONNECTED_HANDLE_COLOR_PROVIDER`
`"CONNECTED_HANDLE_COLOR_PROVIDER"`
`public static final String`
`INSERT_HANDLE_COLOR_PROVIDER`
`"INSERT_HANDLE_COLOR_PROVIDER"`
`public static final String`
`MOVE_HANDLE_COLOR_PROVIDER`
`"MOVE_HANDLE_COLOR_PROVIDER"`
`public static final String`
`MULTI_SELECTION_HANDLES_GEOMETRY_PROVIDER`
`"MULTI_SELECTION_HANDLES_GEOMETRY_PROVIDER"`
`protected static final double`
`SEGMENT_CREATE_HANDLE_MINIMUM_SEGMENT_LENGTH`
`45.0`
`protected static final double`
`SEGMENT_MOVE_HANDLE_MINIMUM_SEGMENT_LENGTH`
`5.0`
`public static final String`
`SELECTION_HANDLES_GEOMETRY_PROVIDER`
`"SELECTION_HANDLES_GEOMETRY_PROVIDER"`
org.eclipse.gef.mvc.fx.parts.IBendableContentPart<V extends javafx.scene.Node>
Modifier and Type
Constant Field
Value
`public static final String`
`CONTROL_ROLE_PREFIX`
`"bp_"`
`public static final String`
`SOURCE_ROLE`
`"source"`
`public static final String`
`TARGET_ROLE`
`"target"`
org.eclipse.gef.mvc.fx.parts.IContentPart<V extends javafx.scene.Node>
Modifier and Type
Constant Field
Value
`public static final String`
`CONTENT_ANCHORAGES_PROPERTY`
`"contentAnchorages"`
`public static final String`
`CONTENT_CHILDREN_PROPERTY`
`"contentChildren"`
`public static final String`
`CONTENT_PROPERTY`
`"content"`
org.eclipse.gef.mvc.fx.parts.ITransformableContentPart<V extends javafx.scene.Node>
Modifier and Type
Constant Field
Value
`public static final String`
`TRANSFORM_PROVIDER_ROLE`
`"transformProvider"`
org.eclipse.gef.mvc.fx.parts.IVisualPart<V extends javafx.scene.Node>
Modifier and Type
Constant Field
Value
`public static final String`
`ANCHORAGES_PROPERTY`
`"anchorages"`
`public static final String`
`ANCHOREDS_PROPERTY`
`"anchoreds"`
`public static final String`
`CHILDREN_PROPERTY`
`"children"`
`public static final String`
`PARENT_PROPERTY`
`"parent"`
`public static final String`
`REFRESH_VISUAL_PROPERTY`
`"refreshVisual"`
org.eclipse.gef.mvc.fx.parts.RectangleSegmentHandlePart
Modifier and Type
Constant Field
Value
`protected static final double`
`DEFAULT_LENGTH`
`8.0`
`protected static final double`
`DEFAULT_WIDTH`
`4.0`
org.eclipse.gef.mvc.fx.parts.SelectionFeedbackPart
Modifier and Type
Constant Field
Value
`protected static final double`
`DEFAULT_STROKE_WIDTH`
`1.5`
org.eclipse.gef.mvc.fx.parts.SquareSegmentHandlePart
Modifier and Type
Constant Field
Value
`public static final double`
`DEFAULT_SIZE`
`4.0`

org.eclipse.gef.mvc.fx.policies.BendConnectionPolicy
Modifier and Type
Constant Field
Value
`protected static final double`
`DEFAULT_OVERLAY_THRESHOLD`
`10.0`
`protected static final double`
`DEFAULT_SEGMENT_OVERLAY_THRESHOLD`
`6.0`

org.eclipse.gef.mvc.fx.ui.MvcFxUiBundle
Modifier and Type
Constant Field
Value
`public static final String`
`IMG_ICONS_FIT_TO_VIEWPORT`
`"IMG_ICONS_FIT_TO_VIEWPORT"`
`public static final String`
`IMG_ICONS_FIT_TO_VIEWPORT_LOCK`
`"IMG_ICONS_FIT_TO_VIEWPORT_LOCK"`
`public static final String`
`IMG_ICONS_SCROLL_BOTTOM_LEFT`
`"IMG_ICONS_SCROLL_BOTTOM_LEFT"`
`public static final String`
`IMG_ICONS_SCROLL_BOTTOM_RIGHT`
`"IMG_ICONS_SCROLL_BOTTOM_RIGHT"`
`public static final String`
`IMG_ICONS_SCROLL_CENTER`
`"IMG_ICONS_SCROLL_CENTER"`
`public static final String`
`IMG_ICONS_SCROLL_TOP_LEFT`
`"IMG_ICONS_SCROLL_TOP_LEFT"`
`public static final String`
`IMG_ICONS_SCROLL_TOP_RIGHT`
`"IMG_ICONS_SCROLL_TOP_RIGHT"`
`public static final String`
`IMG_ICONS_ZOOM_IN`
`"IMG_ICONS_ZOOM_IN"`
`public static final String`
`IMG_ICONS_ZOOM_OUT`
`"IMG_ICONS_ZOOM_OUT"`
`public static final String`
`IMG_ICONS_ZOOM_RESET`
`"IMG_ICONS_ZOOM_RESET"`
`public static final String`
`PLUGIN_ID`
`"org.eclipse.gef.mvc.fx.ui"`

org.eclipse.gef.mvc.fx.viewer.IViewer
Modifier and Type
Constant Field
Value
`public static final String`
`CONTENT_PART_MAP_PROPERTY`
`"contentPartMap"`
`public static final String`
`CONTENTS_PROPERTY`
`"contents"`
`public static final String`
`VISUAL_PART_MAP_PROPERTY`
`"visualPartMap"`